plugins {
    kotlin("multiplatform") version "1.6.21"
}

group = "io.ktnativeplay"
version = "1.0-SNAPSHOT"

repositories {
    mavenCentral()
}

dependencies {
}

kotlin {
    val hostOs = System.getProperty("os.name")
    val isMingwX64 = hostOs.startsWith("Windows")
    val nativeTarget = when {
        hostOs == "Mac OS X" -> macosX64("native")
        hostOs == "Linux" -> linuxX64("native")
        isMingwX64 -> mingwX64("native")
        else -> throw GradleException("Host OS is not supported in Kotlin/Native.")
    }

    nativeTarget.apply {
        binaries {
            executable {
                entryPoint = "main"
            }
        }
    }

    val ktor_version = "2.0.0"
    sourceSets {
        val nativeMain by getting {
            dependencies {
                implementation(kotlin("stdlib-common"))
                implementation("io.ktor:ktor-client-core:$ktor_version")
                implementation("io.ktor:ktor-client-curl:$ktor_version")
                implementation("io.ktor:ktor-client-core-mingwx64:$ktor_version")
                implementation("io.ktor:ktor-client-curl-mingwx64:$ktor_version")
                //implementation("io.ktor:ktor-server-http:$ktor_version")
            }
        }

        val nativeTest by getting
    }

}
